using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace RogerMfReaderExample
{
    public partial class Form2 : Form
    {
        public string Data;
        public Form2()
        {
            InitializeComponent();
        }

        private void buttonPastTextOK_Click(object sender, EventArgs e)
        {
            string text;

            if (radioButtonPastTextNormal.Checked)
                text = textBoxPastText.Text;
            else
                text = new string(textBoxPastText.Text.Reverse().ToArray());

            if (text.Length > 32)
                Data = text.Remove(32);
            else
                Data = text;
            
        }
    }
}
